Name:           anjuta
Version:        1.2.2
Release:        0.fdr.2.2
Epoch:          1
Summary:        GNOME IDE for C and C++

Group:          Development/Tools
License:        GPL
URL:            http://anjuta.org/
Source0:        http://download.sourceforge.net/anjuta/anjuta-1.2.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	libgnomeui-devel >= 0:2.0.2
BuildRequires: 	libbonoboui-devel >= 0:2.0.1
BuildRequires:	libgnomeprintui22-devel
BuildRequires:	ncurses-devel >= 0:5.0
BuildRequires:	pcre-devel >= 0:3.9
BuildRequires:	vte-devel
BuildRequires:  scrollkeeper
BuildRequires:  libtool
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

Requires:       pkgconfig
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++. 
It has been written for GTK/GNOME, and features a number of advanced 
programming facilities. It is basically a GUI interface for the collection 
of command line programming utilities and tools available for the GNU system. 
These are usually run via a text console, and can be unfriendly to use.

This package includes anjuta_create_global_tags.sh, which will allow you to
create an up to date, local system.tags.


%package        docs
Summary:        Anjuta docuemntations package.
Group:          Development/Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description docs
Anjuta documentations.



%prep
%setup -q



%build

%configure --enable-final                                                     
make



%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'
rm -rf ${RPM_BUILD_ROOT}%{_localstatedir}/scrollkeeper
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/anjuta
install -p -m0755 global-tags/tm_global_tags ${RPM_BUILD_ROOT}%{_bindir}/anjuta_tm_global_tags
install -m0755 global-tags/create_global_tags.sh ${RPM_BUILD_ROOT}%{_bindir}/anjuta_create_global_tags.sh
perl -pi -e '
    s!(^PROGDIR=).*!$1%{_bindir}!;
    s!(^GLOBAL_TAGS_FILE=).*!$1%{_datadir}/%{name}/system.tags!;
    s!tm_global_tags!%{name}_tm_global_tags!g;
' ${RPM_BUILD_ROOT}%{_bindir}/anjuta_create_global_tags.sh



%clean
rm -rf ${RPM_BUILD_ROOT}



%post docs
scrollkeeper-update -q



%postun docs
scrollkeeper-update -q



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc doc/ScintillaDoc.html
%{_bindir}/%{name}*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/mime-info/anjuta.mime
%{_datadir}/mimelnk/application/x-anjuta-project.desktop
%{_mandir}/man1/*

%files docs
%defattr(-,root,root,-)
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}



%changelog
* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.2-0.fdr.2
- Remove Requires(foo,bar) notation.
- Grab modified upstream tarball.

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.2-0.fdr.1
- Updated to 1.2.2.

* Mon Feb 02 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.1-0.fdr.1
- Updated to 1.2.1.
- Now including modified system.tags creation tools.
- Req pkgconfig.

* Sun Dec 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.2.0-0.fdr.1
- Updated to 1.2.0.
- Dropped libzvt-devel BuildReq.
- Added docs sub-package to maintain compatibility w/ upstream spec.

* Sun Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.98-0.fdr.1
- Updated to 1.1.98.

* Tue Sep 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.97-0.fdr.3
- brought spec more inline with current template.

* Fri Sep 19 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.97-0.fdr.2
- BuildReq libtool.

* Sat May 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.97-0.fdr.1
- Updated to 1.1.97.
- Added BuildReq scrollkeeper.
- Changed path of Source0.

* Thu May 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.4
- Fixed changelog typo.

* Thu May 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.3
- Killed off devel subpackage.
- Removed .a files.
- Removed post/postun ldconfig.

* Sat May 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.2
- Copyright -> License.
- GPL2 -> GPL.
- Split off a devel package.
- Removed .la files.
- Added post/postun scripts for ldconfig.
- Removed INSTALL from doc.
- Removed redundant doc entry.

* Sat May 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1:1.1.1-0.fdr.1
- Fedorafied.
